Loading...
Searching...
No Matches
Ogre::CompositionPass::InputTex Struct Reference

Inputs (for material used for rendering the quad). More...

`#include <OgreCompositionPass.h>`

## Public Member Functions

| InputTex ()
| InputTex (const String &_name, size_t _mrtIndex=0)

## Public Attributes

size_t | mrtIndex
| MRT surface index if applicable.
String | name
| Name (local) of the input texture (empty == no input).

## Detailed Description

Inputs (for material used for rendering the quad).

## Constructor & Destructor Documentation

## InputTex() [1/2]

Ogre::CompositionPass::InputTex::InputTex | ( |  | ) |

inline

References mrtIndex.

## InputTex() [2/2]

Ogre::CompositionPass::InputTex::InputTex | ( | const String & | _name,
|  | size_t | _mrtIndex = 0 )

inline

References mrtIndex, and name.

## Member Data Documentation

## name

String Ogre::CompositionPass::InputTex::name

Name (local) of the input texture (empty == no input).

Referenced by InputTex().

## mrtIndex

size_t Ogre::CompositionPass::InputTex::mrtIndex

MRT surface index if applicable.

Referenced by InputTex(), and InputTex().

The documentation for this struct was generated from the following file:

- OgreCompositionPass.h